Bonjour ! Vous avez une question ?

Naviguez sur le centre de support de Trustpilot pour trouver des infos sur les Google Seller Ratings, les Rich Snippets, les TrustBoxs, les avis produits, ainsi que des guides pour éditer vos avis et paramétrer votre compte.

​FAQ : Nous n'offrons plus d'assistance API pour TLS 1.0 et TLS 1.1

Trustpilot va désactiver les protocoles TLS 1.0 et 1.1 en raison de risques de sécurité. Si vous utilisez ces anciennes versions aprés le 23 août 2018, vos intégrations API ne fonctionnerons plus correctement. Assurez-vous d’utiliser la version standard 1.2 de TLS à la place.

Ce changement me concerne-t-il ?

Les protocoles TLS 1.0 et 1.1 sont rarement utilisés, contactez donc votre développeur pour vous assurer que vous utilisez le protocole sécurisé TLS 1.2.

C'est quoi le TLS ?

Le TLS est un protocole de cryptage utilisé pour le trafic web, ce qui inclut la sécurisation des appels vers les APIs de Trustpilot.

Pourquoi abandonne-t-on les anciennes versions chez Trustpilot ?

Les versions 1.0 et 1.1 du protocole TLS sont anciennes et présentent de nombreux risques de sécurité. Le protocole TLS 1.2 est la version standard et sécurisée, c'est pourquoi nous allons continuer de la prendre en charge après le 23 août 2018.

Comment exécuter TLS 1.2 dans mes intégrations ?

Vérifiez que vos logiciels et ressources prennent en charge TLS 1.2. Vous trouverez des informations utiles pour votre développeur ici.

Que se passe-t-il si je n'actualise pas mes intégrations avec la version 1.2 de TLS ?

Les requêtes envoyées aux APIs de Trustpilot échoueront et afficheront un message d'erreur, et les appels ne pourront pas être effectués.

Autres ressources :

https://docs.apigee.com/release/notes/tls-retirement

https://devblog.xero.com/upgrading-an-application-integrating-with-xero-to-support-tls-1-2-4551ea97df8

Commentaires

0 commentaire